//
//  AAICrashUtil+CtxInfo.h
//  AAICore
//
//  Created by advance on 2024/9/23.
//
#if __has_include(<AAICore/AAILIBEventCollector.h>)
#import <AAICore/AAILIBEventCollector.h>
#else
#import "AAILIBEventCollector.h"
#endif

#if __has_include(<AAICore/AAILIBEventUploader.h>)
#import <AAICore/AAILIBEventUploader.h>
#else
#import "AAILIBEventUploader.h"
#endif

#if __has_include(<AAICore/AAILIBDefaultMutiFileUploadStrategy.h>)
#import <AAICore/AAILIBDefaultMutiFileUploadStrategy.h>
#else
#import "AAILIBDefaultMutiFileUploadStrategy.h"
#endif


NS_ASSUME_NONNULL_BEGIN

__attribute__((visibility("default")))
@interface AAILIBEventManager(Shence)

@property(nonatomic, readonly) AAILIBEventProvider *shenceDataProvider;
@property(nonatomic, readonly) AAILIBEventUploader *shenceDataUploader;

+ (instancetype)eventManagerWithQueueName:(NSString * _Nullable)queueName
                                  context:(AAILIBEventContext *)context
                           uploadStrategy:(AAILIBDefaultMutiFileUploadStrategy *)uploadStrategy;

@end

NS_ASSUME_NONNULL_END
