//
//  aai_lib_obf.hpp
//  AAILivenessSDK
//
//  Created by advance on 2024/4/1.
//  Copyright © 2024 Advance.ai. All rights reserved.
//

#ifndef aai_lib_obf_hpp
#define aai_lib_obf_hpp

#import <Foundation/NSString.h>
#include <string>

namespace aai {
namespace obf {

struct EncryptStringData {
    char factor = 0;
    char *value = nullptr;
    int length = 0;
    char decoded = 0;
};

std::string aai_CXXString(EncryptStringData &data);
NSString* aai_ObjCString(EncryptStringData &data);

}}

#endif /* aai_lib_obf_hpp */
